// --------------------------------------------
// Colors -------------------------------------
// Usage example: color(primary, main)
// --------------------------------------------
$color: (
  typography: (
    1: #161e2a,
    2: #6b7a90,
    1i: #fff,
    2i: #606483,
  ),
  bg: (
    1: #ffffff,
    2: #f3f4ff,
    3: #e4e8ee,
    1i: #0b0d19,
    2i: #1e233d,
  ),
  primary: (
    1: #4234f8,
    2: #7065fa,
    3: #1908f1,
    4: #e2e0fe,
  ),
  secondary: (
    1: #ff6c50,
    2: #ff816a,
    3: #ff411d,
    4: #ffd8d1,
  ),
);

// --------------------------------------------
// Typography ---------------------------------
// --------------------------------------------
$font__family: (
  base: '"Heebo", sans-serif',
  // font-family(base)
  heading: '"Oxygen", sans-serif',
  // font-family(heading)
  code: 'Monaco, Consolas, "Andale Mono", "DejaVu Sans Mono", monospace',
  // font-family(code)
  pre: '"Courier 10 Pitch", Courier, monospace' // font-family(pre),,,,,,,
);

$font__sizes: (
  alpha: (
    44px,
    54px,
    0px,
  ),
  // font-size, line-height, kerning (use '0' if don't want to output any kerning)
  beta:
    (
      38px,
      48px,
      0px,
    ),
  gamma: (
    32px,
    42px,
    0px,
  ),
  delta: (
    28px,
    34px,
    0px,
  ),
  epsilon: (
    20px,
    30px,
    -0.1px,
  ),
  zeta: (
    18px,
    27px,
    -0.1px,
  ),
  eta: (
    16px,
    24px,
    -0.1px,
  ),
  theta: (
    14px,
    22px,
    0px,
  ),
);

$font__scale: (
  desktop: (
    // i.e. $breakpoint__m + $breakpoint__l (600 - 1024)
    1: map-get($font__sizes, alpha),
    // H1
    2: map-get($font__sizes, beta),
    // H2
    3: map-get($font__sizes, gamma),
    // H3
    4: map-get($font__sizes, delta),
    // H4
    5: map-get($font__sizes, epsilon),
    // Body, H5, H6
    6: map-get($font__sizes, zeta),
    // Text small
    7: map-get($font__sizes, eta),
    // Text smaller
    8: map-get($font__sizes, theta) // Footer area,,,,,,,
  ),
  mobile: (
    // i.e. $breakpoint__xs + $breakpoint__s (up to 600)
    1: map-get($font__sizes, beta),
    // H1
    2: map-get($font__sizes, gamma),
    // H2
    3: map-get($font__sizes, delta),
    // H3
    4: map-get($font__sizes, delta),
    // H4
    5: map-get($font__sizes, epsilon),
    // Body, H5, H6
    6: map-get($font__sizes, zeta),
    // Text small
    7: map-get($font__sizes, eta),
    // Text smaller
    8: map-get($font__sizes, theta) // Footer area,,,,,,,
  ),
);

$font__weight: (
  regular: 400,
  // font__weight(regular)
  medium: 500,
  // font__weight(medium)
  semibold: 600,
  // font__weight(semibold)
  bold: 700 // font__weight(bold),,,,,,,
);

// --------------------------------------------
// Structure ----------------------------------
// --------------------------------------------
$content__padding: (
  mobile: 16px,
  desktop: 24px,
);
$container__width: 1080px;
$container__width-sm: 800px;
